
declare @year int
select @year=2022

-- *** SOLGTE ***
select 
	b.ID as BoligId
	,Gade, Postnr, sag as SelvsalgsId
		,case	when b.BoligTypeID in	(1,2,14,17)	then 'Villa/rkkehus'
				when b.BoligTypeID in	(3)			then 'Ejerlejlighed'
				when b.BoligTypeID in	(4,12)		then 'Sommerhus'
				when b.BoligTypeID in	(5,13,15)	then 'Andelsbolig'
				when b.BoligTypeID in	(6)			then 'Landejendom'
				when b.BoligTypeID in	(7)			then 'Helrsgrund'
				when b.BoligTypeID in	(8)			then 'Fritidsgrund'
				else 'Andet' end [Boligtype]
	,cast(oprettet as date) as Oprettet, cast(lastchange as date) as Nedtaget
	, 'Ja' as Markeret_solgt, 'Ja' as Solgt
	,cast(ps.omregnings_dato as date) as Tinglyst_Salgsdato, ps.koebesum_beloeb as Tinglyst_Koebesum
from bolig b 
left outer join PropertyDataV3Sales ps on ps.boligid = b.ID and ps.salg_nr=1
where ChainID=25 
and exists (select 1 from SelfSaleEvent where YEAR(CreatedDate)=@year and [Text]='Estate.Sold' and SelfSaleEstateId=sag)
and year(b.lastchange)=@year

union

-- *** NEDTAGNE - Ej markeret solgte af bruger, men mske solgte jvf tinglysningen ***
select 
	b.ID as BoligId
	,Gade, Postnr, sag as SelvsalgsId
	,case	when b.BoligTypeID in	(1,2,14,17)	then 'Villa/rkkehus'
			when b.BoligTypeID in	(3)			then 'Ejerlejlighed'
			when b.BoligTypeID in	(4,12)		then 'Sommerhus'
			when b.BoligTypeID in	(5,13,15)	then 'Andelsbolig'
			when b.BoligTypeID in	(6)			then 'Landejendom'
			when b.BoligTypeID in	(7)			then 'Helrsgrund'
			when b.BoligTypeID in	(8)			then 'Fritidsgrund'
			else 'Andet' end [Boligtype]
	,cast(oprettet as date) as Oprettet, cast(lastchange as date) as Nedtaget
	, 'Nej' as Markeret_solgt, case when ps.omregnings_dato is null then 'Nej' Else 'Ja' end as Solgt
	,cast(ps.omregnings_dato as date) as Tinglyst_Salgsdato, ps.koebesum_beloeb as Tinglyst_Koebesum
from bolig b
left outer join PropertyDataV3Sales ps on ps.boligid = b.ID and ps.salg_nr=1
where ChainID=25 
and not exists (select 1 from SelfSaleEvent where YEAR(CreatedDate)=@year and [Text]='Estate.Sold' and SelfSaleEstateId=sag)
and exists (select 1 from SelfSaleEvent where YEAR(CreatedDate)=@year and [Text] in ('Estate.Stopped', 'Estate.Deleted') and SelfSaleEstateId=sag)
and year(b.lastchange)=@year
order by Oprettet asc
